/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_array_test_4.pov
 
 An array equation
 
*/
  ////
 //   example   //
//_____________//   
#global_settings{charset utf8 assumed_gamma 1.0}
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc"  
// Define some globals
CL_rlp_make_text_string_set(3) // Defines CL_default_space,CL_math_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
// Generate the matrix
// 
#declare inner_text         = array[3][2]{{"#-1","#0"},{"#4","#3"},{"#3","#3"}};
#declare array_obj          = CL_rlp_make_bracketed_text_array(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                               3,2,inner_text,"rl",1,1,CL_medium_space,CL_large_space,CL_large_space,
                                                               CL_dimensions_out)  
#declare array_dimensions   = CL_dimensions_out;
//
// Generate the unknown vector
//
#declare inner_text         = array[2][1]{{"#x"},{"#y"}};
#declare vector_obj         = CL_rlp_make_bracketed_text_array(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                               2,1,inner_text,"c",2,2,CL_medium_space,CL_large_space,CL_large_space,
                                                               CL_dimensions_out)  
#declare vector_dimensions  = CL_dimensions_out;
//
// Concatenate the vector and matrix together
//
#declare part_dimensions    = array[2]{array_dimensions,vector_dimensions};
#declare concat_object      = object{CL_rlp_make_concatenate(array_obj,vector_obj,CL_medium_space,part_dimensions,CL_dimensions_out)} 
#declare concat_dimensions  = CL_dimensions_out;
// 
// Generate the rhs vector
//
#declare inner_text         = array[3][1]{{"#1"},{"#2"},{"#3"}};
#declare rhs_obj            = CL_rlp_make_bracketed_text_array(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                               3,1,inner_text,"c",2,2,CL_medium_space,CL_large_space,CL_large_space,
                                                               CL_dimensions_out)  
#declare rhs_dimensions     = CL_dimensions_out;
//
// Generate the equation
//                        
#declare part_dimensions    = array[2];
#declare part_dimensions[0] = concat_dimensions;   
#declare part_dimensions[1] = rhs_dimensions; 
#declare middle_part        = 0;
//
#declare equation_object    = object{CL_rlp_make_equation(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                          concat_object,rhs_obj,middle_part,"  =  ",CL_medium_space,part_dimensions,CL_dimensions_out)} 
//
// Create the object
//
object{equation_object translate <-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
//cylinder{<-20,0,0> <20,0,0> 0.05 pigment{Red}}
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<-30,15,-60> look_at <0,1,0> angle 15}

